import React from 'react';

interface IPropsType {
  title: string;
  statusStr?: string;
  radius?: boolean;
}

const SubTitle: React.FC<IPropsType> = ({ title, statusStr='', radius=false }) => {
  return (
    <div
      style={{
        border: 0,
        margin: 0,
        display: 'flex',
        justifyContent: 'space-between',
        alignItems: 'center',
        paddingLeft: '10px',
        paddingRight: '10px',
        backgroundColor: '#d9e7f9',
        fontSize: '18px',
        height: '40px',
        borderRadius: radius ? '8px 8px 0 0 ' : 'unset',
      }}
    >
      <div>
        <span style={{ border: '2px solid #4a90e2', marginRight: '5px' }} />
        {title}
      </div>
      <div>{statusStr}</div>
    </div>
  );
};

export default SubTitle;
