import { ITopFilter } from '@/pages/TaskManage/Detail/TaskList/taskList.types';
import { Divider, Select } from 'antd';
import { useState } from 'react';

interface IProps {
  filters: ITopFilter[];
  onChange: (value: any, item: ITopFilter, index: number) => void;
}

const TopFilter: React.FC<IProps> = ({ filters, onChange }) => {
  const [values, setValues] = useState<any[]>([]);

  return (
    <div style={{ display: 'flex', justifyContent: 'center' }}>
      {filters.map((item, index) => {
        return (
          <>
            <Select
              key={`${index}${item.placeholder}`}
              style={{ width: 120 }}
              size="large"
              bordered={false}
              placeholder={item.placeholder}
              options={item.options}
              allowClear
              onChange={(value, option) => {
                const temp = filters.map((f, i) => {
                  if (index === i) {
                    return value !== undefined ? value : null;
                  }
                  return values[i] || null;
                });
                setValues(temp);
                onChange(temp, item, index);
              }}
            />
            {filters.length > 1 && index !== filters.length - 1 && (
              <Divider type="vertical" style={{ margin: '0 30px' }} />
            )}
          </>
        );
      })}
    </div>
  );
};

export default TopFilter;
